## org.eclipse.emf.ecore
Interface EOperation

All Superinterfaces:
  EModelElement, ENamedElement, EObject, ETypedElement, Notifier

All Known Implementing Classes:
  EOperationImpl

    public interface EOperation

extends ETypedElement

A representation of the model object 'EOperation'.

The following features are supported:

- `EContaining Class`
- `EType Parameters`
- `EParameters`
- `EExceptions`
- `EGeneric Exceptions`

See Also:
  `EcorePackage.getEOperation()`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.ETypedElement
`UNBOUNDED_MULTIPLICITY, UNSPECIFIED_MULTIPLICITY`

Method Summary
`EClass` `getEContainingClass()` Returns the value of the 'EContaining Class' container reference.
`EList<EClassifier>` `getEExceptions()` Returns the value of the 'EExceptions' reference list.
`EList<EGenericType>` `getEGenericExceptions()` Returns the value of the 'EGeneric Exceptions' containment reference list.
`EList<EParameter>` `getEParameters()` Returns the value of the 'EParameters' containment reference list.
`EList<ETypeParameter>` `getETypeParameters()` Returns the value of the 'EType Parameters' containment reference list.

Methods inherited from interface org.eclipse.emf.ecore.ETypedElement
`getEGenericType, getEType, getLowerBound, getUpperBound, isMany, isOrdered, isRequired, isUnique, setEGenericType, setEType, setLowerBound, setOrdered, setUnique, setUpperBound`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEContainingClass

    EClass getEContainingClass()

  Returns the value of the 'EContaining Class' container reference. It is bidirectional and its opposite is '`EOperations`'.

  It represents a method in the Java sense.

  Returns:
    the value of the 'EContaining Class' container reference.
  See Also:
    `EcorePackage.getEOperation_EContainingClass()`, `EClass.getEOperations()`

### getEParameters

    EList<EParameter> getEParameters()

  Returns the value of the 'EParameters' containment reference list. The list contents are of type `EParameter`. It is bidirectional and its opposite is '`EOperation`'.

  It represents the valid arguments for this operation.

  Returns:
    the value of the 'EParameters' containment reference list.
  See Also:
    `EcorePackage.getEOperation_EParameters()`, `EParameter.getEOperation()`

### getEExceptions

    EList<EClassifier> getEExceptions()

  Returns the value of the 'EExceptions' reference list. The list contents are of type `EClassifier`.

  It represents the exceptions thrown by this operation and is derived from the `generic exceptions`.

  Returns:
    the value of the 'EExceptions' reference list.
  See Also:
    ``, `EcorePackage.getEOperation_EExceptions()`

### getEGenericExceptions

    EList<EGenericType> getEGenericExceptions()

  Returns the value of the 'EGeneric Exceptions' containment reference list. The list contents are of type `EGenericType`.

  It represents the generic exceptions thrown by this operation. The `exceptions` list is derived from this one, i.e., it represents the `erasure` of each generic exception.

  Returns:
    the value of the 'EGeneric Exceptions' containment reference list.
  Since:
    2.3
  See Also:
    `getEExceptions()`, `EcorePackage.getEOperation_EGenericExceptions()`

### getETypeParameters

    EList<ETypeParameter> getETypeParameters()

  Returns the value of the 'EType Parameters' containment reference list. The list contents are of type `ETypeParameter`.

  An operation can optionally introduce type parameters.

  Returns:
    the value of the 'EType Parameters' containment reference list.
  Since:
    2.3
  See Also:
    `EcorePackage.getEOperation_ETypeParameters()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.